Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicInternalFrameUI.BorderListener

    java.lang.Object
      |
      +--javax.swing.event.MouseInputAdapter
            |
            +--javax.swing.plaf.basic.BasicInternalFrameUI.BorderListener

All Implemented Interfaces:
  EventListener, MouseInputListener, MouseListener, MouseMotionListener, SwingConstants

Enclosing class:
  BasicInternalFrameUI

protected class BasicInternalFrameUI.BorderListener
extends MouseInputAdapter
implements SwingConstants

Listens for border adjustments.

Field Summary
`protected int` | `RESIZE_NONE`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NORTH, NORTH_EAST, NORTH_WEST, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Constructor Summary
`protected` | `BasicInternalFrameUI.BorderListener()`

Method Summary
`void` | `mouseClicked(MouseEvent e)` Invoked when the mouse has been clicked on a component.
`void` | `mouseDragged(MouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.
`void` | `mouseExited(MouseEvent e)` Invoked when the mouse exits a component.
`void` | `mouseMoved(MouseEvent e)` Invoked when the mouse button has been moved on a component (with no buttons no down).
`void` | `mousePressed(MouseEvent e)` Invoked when a mouse button has been pressed on a component.
`void` | `mouseReleased(MouseEvent e)` Invoked when a mouse button has been released on a component.

Methods inherited from class javax.swing.event.MouseInputAdapter
`mouseEntered`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESIZE_NONE

    protected final int RESIZE_NONE

Constructor Detail

### BasicInternalFrameUI.BorderListener

    protected BasicInternalFrameUI.BorderListener()

Method Detail

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Description copied from interface: `MouseListener`
  Invoked when the mouse has been clicked on a component.
  Overrides:
    `mouseClicked` in class `MouseInputAdapter`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Description copied from interface: `MouseListener`
  Invoked when a mouse button has been released on a component.
  Overrides:
    `mouseReleased` in class `MouseInputAdapter`

### mousePressed

    public void mousePressed(MouseEvent e)

  Description copied from interface: `MouseListener`
  Invoked when a mouse button has been pressed on a component.
  Overrides:
    `mousePressed` in class `MouseInputAdapter`

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Description copied from interface: `MouseMotionListener`
  Invoked when a mouse button is pressed on a component and then dragged. Mouse drag events will continue to be delivered to the component where the first originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).
  Overrides:
    `mouseDragged` in class `MouseInputAdapter`

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Description copied from interface: `MouseMotionListener`
  Invoked when the mouse button has been moved on a component (with no buttons no down).
  Overrides:
    `mouseMoved` in class `MouseInputAdapter`

### mouseExited

    public void mouseExited(MouseEvent e)

  Description copied from interface: `MouseListener`
  Invoked when the mouse exits a component.
  Overrides:
    `mouseExited` in class `MouseInputAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.